---
title: JSON REST API
slug: v111/json-rest-api
icon: {"faIcon":"fa-solid fa-window-restore"}
docTags: 
createdAt: 2025-06-10T07:46:42.509Z
---

Servicely provides a comprehensive JSON REST API to facilitate integration and automation with external systems.

## API Versions

Version 1: Initial version of the API. Accessed via \[instance\_base\_url]/v1/

## Authentication

The REST API currently supports Basic authentication (username/password) and Token authentication (Bearer Token).

## Quick start

The linked examples use a command line tool called HTTPie ([https://httpie.io/](https://httpie.io/) ) for all the examples.

## REST Methods

- [GET Request - Retrieving records](docId:9OblsXYpa3DABRAUBpD_F)&#x20;
- [DELETE request - Deleting records](docId\:w7u_gWgzNt9M2DUhqeNI0)&#x20;
- [POST Request - Creating new records](docId\:TfM6SCd_9zf1oRHdA6_EZ)&#x20;
- [PUT Request - Replacing content of existing records](docId\:KozS2Rf_Vu3dzQHjKvhV7)&#x20;
- [PATCH Request - Updating existing records](docId:6mTExP5D-Hkh1cohDG1mI)&#x20;

## Batch REST API

REST calls can also be batched together to improve latency/performance, or just to logically group requests together.

Requires version 1.4.2-release.40

The format for the request is a simple JSON document that batches the required requests into an array. The **“url”** and **“body”** attributes match exactly to the URL and Body arguments that would normally be sent to the REST API.

**Example request object format:**

```text
{
    "id": "unique-batch-identifier-111",  // A Batch identifier. Required.
    "requests": [            // An array of the requests to execute. Required.
        {
            "id": "1",       // A correlation id so the response can be matched to the request. Required.
            "url": "/v1/User?fields=Name&page_size=1", // The URL as would be sent any other way. Required.
            "method": "GET", // Method for the request [GET, PUT, POST, PATCH, DELETE]. Required.
            "body": null     // Optional body for requests that need a body - JSON encoded string. Optional.
        }
    ]
}
```

**Example response object:**

```text
{
    "id": "unique-batch-identifier-111",  // The batch identifier from the original request.
    "requests": [
        {
            "body": "{\"data\":[{\"Name\":\"Kai Rowell\"}]}",  // The response body
            "execution_time": 62, // The execution time
            "id": "1",            // The correlation ID from the original request
            "status_code": 200,   // The HTTP Status Code for the request
            "status_text": "OK"   // The HTTP Status Text for the request
        }
    ]
}
```

**Batch API URL**

Requests for the Batch API go to /v1/\_batch

**Screenshot**

Example screenshot from a Postman request.

![](https://api.archbee.com/api/optimize/RDSPJwtKQ5B5sE-oMCN16/LB3YP8Nkb60Niq3HSO-HB_2249129987.png)

